
%global srcname j1m.sphinxautointerface

Name:           python-%{srcname}
Version:        0.3.0
Release:        8%{?dist}
Summary:        Sphinx extension for documenting zope.interface interfaces

License:        BSD
URL:            https://pypi.python.org/pypi/j1m.sphinxautointerface/
Source0:        %pypi_source
# This package is forked from the sphinx-contrib package, namely the zopeext
# extension.  This is the license file for the entire sphinx-contrib package.
Source1:        https://bitbucket.org/birkenfeld/sphinx-contrib/raw/8e295053a27d5914127fbb01e2a8fb57421897a7/LICENSE
BuildArch:      noarch

BuildRequires:  python3-sphinx

Requires:       python3-sphinx

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-sphinx
BuildRequires:  python3-zope-interface

%description
This sphinx extension provides an :rst:dir:autointerface directive for
Zope interfaces.

%package     -n python3-%{srcname}
Summary:        Sphinx extension for documenting zope.interface interfaces
Requires:       python3-sphinx
Requires:       python3-zope-interface

%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
This sphinx extension provides an :rst:dir:autointerface directive for
Zope interfaces.

%prep
%autosetup -c
cp -p %{SOURCE1} .
mv %{srcname}-%{version} python2

cp -a python2 python3

%build
pushd python2
popd

pushd python3
%py3_build
popd

%install
pushd python2
popd

pushd python3
%py3_install
popd

#popd
#
#%%if %%{with python3}
#pushd python3
#%%{__python3} setup.py test
#popd
#%%endif

%files -n python3-%{srcname}
%doc python3/README.rst
%{python3_sitelib}/*

%changelog
* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Oct 17 2018 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.0-7
- Subpackage python2-j1m.sphinxautointerface has been removed
  See https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.3.0-5
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Nov 25 2017 Jerry James <loganjerry@gmail.com> - 0.3.0-3
- Add LICENSE file from upstream repository

* Wed Jul 26 2017 Jerry James <loganjerry@gmail.com> - 0.3.0-2
- Comment out useless check script

* Sat Mar 25 2017 Jerry James <loganjerry@gmail.com> - 0.3.0-1
- Initial RPM
